### Method

# Gtk TreeModel filter_new

#### Declaration [src]

    GtkTreeModel*
    gtk_tree_model_filter_new (
      GtkTreeModel* child_model,
      GtkTreePath* root
    )

#### Description [src]

Creates a new `GtkTreeModel`, with `child_model` as the child_model and `root` as the virtual root.

#### Parameters

`root` | `GtkTreePath`
| A `GtkTreePath`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkTreeModel`
| A new `GtkTreeModel`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.